#include <bits/stdc++.h>
using namespace std;

bool poredi(const pair<double, double> &a,const pair<double, double> &b) {
       return a.second < b.second; }

int main() {
    int n;
    double a, p;
    cin >> n;
    vector <pair<double, double>> lenser(n);
    for (int i = 0; i < n; i++) {
        cin >> a >> p;
        lenser[i] = make_pair(a, p); }

    sort(lenser.begin(), lenser.end(), poredi);

    double zarada = lenser[n - 1].first;
    double procenat = lenser[n - 1].second / 100.0;
    double zaradamax = zarada * procenat;

    for (int i = n - 2; i >= 0; i--) {
        zarada += lenser[i].first;
        if (isgreater(zarada * lenser[i].second / 100.0, zaradamax)) {
            zaradamax = zarada * lenser[i].second / 100.0;
            procenat = lenser[i].second; } }
    cout.precision(5);
    cout << fixed << setprecision(4) << zaradamax;
    return 0; }